Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#68973 - [openssl] Upgrade breaks neomutt

Attached to Project: Arch Linux
Opened by merlock (merlock) - Monday, 14 December 2020, 14:36 GMT
Last edited by Doug Newgard (Scimmia) - Monday, 14 December 2020, 17:11 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

upgraded openssl (1.1.1.h-1 -> 1.1.1.i-2). Neomutt no longer connects to gmail. Downgrade fixes problem. Looking at the PKGBUILD changelog, it seems that excluding the perl scripts in the new package is possibly the culprit.



Additional info:
* package version(s)

openssl1.1.1.i-2

* config and/or log files etc.

Neomutt log file (personal info scrubbed, and noted as such): <redacted>

Steps to reproduce:

Upgrade openssl. Start neomutt, switch to any imap folder; errors out without opening anything.
This task depends upon

Closed by  Doug Newgard (Scimmia)
Monday, 14 December 2020, 17:11 GMT
Reason for closing:  Not a bug
Comment by Doug Newgard (Scimmia) - Monday, 14 December 2020, 15:42 GMT
the perl script has not been excluded.

What does the log look like with the old openssl? Might want to scrub the AUTHENTICATE PLAIN entries as well, that's your hashed password I believe.
Comment by Doug Newgard (Scimmia) - Monday, 14 December 2020, 15:52 GMT
Wait, when did this happen? gmail was down a while ago

Loading...